Bug 1248531 - No ppc64le support in libticables2
No ppc64le support in libticables2
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libticables2 (Show other bugs)
22
ppc64le Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Ben Rosser
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-30 09:07 EDT by Rafael Fonseca
Modified: 2015-08-14 22:18 EDT (History)
1 user (show)

See Also:
Fixed In Version: libticables2-1.3.4-6.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-14 22:07:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Support for ppc64le (1.90 KB, patch)
2015-07-30 09:07 EDT, Rafael Fonseca
no flags Details | Diff

  None (edit)
Description Rafael Fonseca 2015-07-30 09:07:32 EDT
Created attachment 1057678 [details]
Support for ppc64le

Description of problem:

libticables2 has a check for architectures and lacks ppc64le in it.

Version-Release number of selected component (if applicable): 1.3.4-4


How reproducible:


Steps to Reproduce:
1. do a build on ppc64le (ppc-koji)
2.
3.

Actual results:

libtool: link: gcc -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -fvisibility=hidden -Wl,-z -Wl,relro -specs=/usr/lib/rpm/redhat/redhat-hardened-ld -o .libs/torture_ticables torture_ticables.o  ../src/.libs/libticables2.so -Wl,-rpath -Wl,/usr/lib64
../src/.libs/libticables2.so: undefined reference to `cable_ser'
../src/.libs/libticables2.so: undefined reference to `cable_vti'
../src/.libs/libticables2.so: undefined reference to `cable_tie'
../src/.libs/libticables2.so: undefined reference to `cable_gry'
../src/.libs/libticables2.so: undefined reference to `cable_par'
../src/.libs/libticables2.so: undefined reference to `linux_check_libusb'
collect2: error: ld returned 1 exit status
Makefile:297: recipe for target 'test_ticables_2' failed
make[2]: *** [test_ticables_2] Error 1
make[2]: *** Waiting for unfinished jobs....
../src/.libs/libticables2.so: undefined reference to `cable_ser'
../src/.libs/libticables2.so: undefined reference to `cable_vti'
../src/.libs/libticables2.so: undefined reference to `cable_tie'
../src/.libs/libticables2.so: undefined reference to `cable_gry'
../src/.libs/libticables2.so: undefined reference to `cable_par'
../src/.libs/libticables2.so: undefined reference to `linux_check_libusb'
collect2: error: ld returned 1 exit status
Makefile:300: recipe for target 'torture_ticables' failed
make[2]: Leaving directory '/builddir/build/BUILD/libticables2-1.3.4/tests'


Additional info: patch provided
Comment 1 Fedora Update System 2015-08-03 14:39:31 EDT
libticables2-1.3.4-6.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/libticables2-1.3.4-6.fc23
Comment 2 Fedora Update System 2015-08-03 14:45:00 EDT
libticables2-1.3.4-6.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/libticables2-1.3.4-6.fc22
Comment 3 Fedora Update System 2015-08-03 14:46:11 EDT
libticables2-1.3.4-6.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/libticables2-1.3.4-6.fc21
Comment 4 Ben Rosser 2015-08-03 15:52:57 EDT
Rebuilt in rawhide and updates submitted for older versions, thanks for the patch.
Comment 5 Fedora Update System 2015-08-04 20:11:59 EDT
Package libticables2-1.3.4-6.fc23:
* should fix your issue,
* was pushed to the Fedora 23 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libticables2-1.3.4-6.fc23'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-12737/libticables2-1.3.4-6.fc23
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2015-08-14 22:07:51 EDT
libticables2-1.3.4-6.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2015-08-14 22:12:54 EDT
libticables2-1.3.4-6.fc23 has been pushed to the Fedora 23 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2015-08-14 22:18:39 EDT
libticables2-1.3.4-6.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.